org.eclipse.actf.util.httpproxy.core

## Interface IHTTPHeader

    public interface IHTTPHeader

HTTP header information of a HTTP request/request message.

### Field Summary

Fields
`static String` `ACCEPT`
`static String` `ACCEPT_CHARSET`
`static String` `ACCEPT_ENCODING`
`static byte[]` `ACCEPT_ENCODING_A`
`static String` `ACCEPT_LANGUAGE`
`static String` `AGE`
`static String` `ALLOW`
`static String` `AUTHORIZATION`
`static String` `CACHE_CONTROL`
`static byte[]` `CACHE_CONTROL_A`
`static byte[]` `CHUNKED_A`
`static String` `CONNECTION`
`static byte[]` `CONNECTION_A`
`static String` `CONTENT_DISPOSITION`
`static String` `CONTENT_ENCODING`
`static String` `CONTENT_LANGUAGE`
`static String` `CONTENT_LENGTH`
`static byte[]` `CONTENT_LENGTH_A`
`static String` `CONTENT_MD5`
`static String` `CONTENT_RANGE`
`static String` `CONTENT_TYPE`
`static byte[]` `CONTENT_TYPE_A`
`static String` `COOKIE`
`static String` `DATE`
`static String` `EXPECT`
`static String` `EXPIRES`
`static byte[]` `EXPIRES_A`
`static String` `FROM`
`static String` `HOST`
`static byte[]` `HOST_A`
`static String` `HTTP_VERSION_1_0`
`static byte[]` `HTTP_VERSION_1_0_A`
`static String` `HTTP_VERSION_1_1`
`static byte[]` `HTTP_VERSION_1_1_A`
`static String` `IF_MODIFIED_SINCE`
`static byte[]` `IF_MODIFIED_SINCE_A`
`static String` `IF_UNMODIFIED_SINCE`
`static String` `LAST_MODIFIED`
`static String` `LOCATION`
`static String` `MAX_FORWARDS`
`static String` `METHOD_CONNECT`
`static String` `METHOD_DELETE`
`static String` `METHOD_GET`
`static String` `METHOD_HEAD`
`static String` `METHOD_OPTIONS`
`static String` `METHOD_POST`
`static String` `METHOD_PUT`
`static String` `METHOD_TRACE`
`static String` `PRAGMA`
`static byte[]` `PRAGMA_A`
`static String` `PROXY_CONNECTION`
`static byte[]` `PROXY_CONNECTION_A`
`static String` `RANGE`
`static String` `REFERER`
`static byte[]` `REFERER_A`
`static String` `RETRY_AFTER`
`static String` `SERVER`
`static byte[]` `SERVER_A`
`static String` `SET_COOKIE`
`static String` `TRANSFER_ENCODING`
`static byte[]` `TRANSFER_ENCODING_A`
`static String` `UPGRADE`
`static String` `USER_AGENT`
`static byte[]` `USER_AGENT_A`
`static String` `VARY`
`static String` `VIA`
`static String` `WWW_AUTHENTICATE`

### Method Summary

Methods
`boolean` `compareValue(byte[] value)` Compares value of this header.
`boolean` `compareValueIgnoreCase(byte[] value)` Compares value of this header ignoring case.
`byte[]` `getName()` Get name of this header.
`byte[]` `getValue()` Get value of this header.
`boolean` `isFieldNameEqualsTo(byte[] name)` Compares field name.
`boolean` `isFieldValueEqualsTo(byte[] value)` Compares field value.
`boolean` `isRemoved()` Returns true if this header entry is marked as removed.
`void` `setRemoved(boolean removed)` Marks whether this header entry is removed or not.
`void` `setValue(byte[] value)` Set value of this header.
`void` `writeLine(OutputStream out)` Writes an HTTP header line for this entry.

### Field Detail

#### METHOD_OPTIONS

    static final String METHOD_OPTIONS

See Also:
  Constant Field Values

#### METHOD_GET

    static final String METHOD_GET

See Also:
  Constant Field Values

#### METHOD_HEAD

    static final String METHOD_HEAD

See Also:
  Constant Field Values

#### METHOD_POST

    static final String METHOD_POST

See Also:
  Constant Field Values

#### METHOD_PUT

    static final String METHOD_PUT

See Also:
  Constant Field Values

#### METHOD_DELETE

    static final String METHOD_DELETE

See Also:
  Constant Field Values

#### METHOD_TRACE

    static final String METHOD_TRACE

See Also:
  Constant Field Values

#### METHOD_CONNECT

    static final String METHOD_CONNECT

See Also:
  Constant Field Values

#### ACCEPT

    static final String ACCEPT

See Also:
  Constant Field Values

#### ACCEPT_CHARSET

    static final String ACCEPT_CHARSET

See Also:
  Constant Field Values

#### ACCEPT_LANGUAGE

    static final String ACCEPT_LANGUAGE

See Also:
  Constant Field Values

#### ACCEPT_ENCODING

    static final String ACCEPT_ENCODING

See Also:
  Constant Field Values

#### AGE

    static final String AGE

See Also:
  Constant Field Values

#### ALLOW

    static final String ALLOW

See Also:
  Constant Field Values

#### AUTHORIZATION

    static final String AUTHORIZATION

See Also:
  Constant Field Values

#### CACHE_CONTROL

    static final String CACHE_CONTROL

See Also:
  Constant Field Values

#### CONNECTION

    static final String CONNECTION

See Also:
  Constant Field Values

#### CONTENT_ENCODING

    static final String CONTENT_ENCODING

See Also:
  Constant Field Values

#### CONTENT_LANGUAGE

    static final String CONTENT_LANGUAGE

See Also:
  Constant Field Values

#### CONTENT_LENGTH

    static final String CONTENT_LENGTH

See Also:
  Constant Field Values

#### CONTENT_MD5

    static final String CONTENT_MD5

See Also:
  Constant Field Values

#### CONTENT_RANGE

    static final String CONTENT_RANGE

See Also:
  Constant Field Values

#### CONTENT_TYPE

    static final String CONTENT_TYPE

See Also:
  Constant Field Values

#### DATE

    static final String DATE

See Also:
  Constant Field Values

#### EXPECT

    static final String EXPECT

See Also:
  Constant Field Values

#### EXPIRES

    static final String EXPIRES

See Also:
  Constant Field Values

#### FROM

    static final String FROM

See Also:
  Constant Field Values

#### HOST

    static final String HOST

See Also:
  Constant Field Values

#### IF_MODIFIED_SINCE

    static final String IF_MODIFIED_SINCE

See Also:
  Constant Field Values

#### IF_UNMODIFIED_SINCE

    static final String IF_UNMODIFIED_SINCE

See Also:
  Constant Field Values

#### LAST_MODIFIED

    static final String LAST_MODIFIED

See Also:
  Constant Field Values

#### LOCATION

    static final String LOCATION

See Also:
  Constant Field Values

#### MAX_FORWARDS

    static final String MAX_FORWARDS

See Also:
  Constant Field Values

#### PRAGMA

    static final String PRAGMA

See Also:
  Constant Field Values

#### PROXY_CONNECTION

    static final String PROXY_CONNECTION

See Also:
  Constant Field Values

#### RANGE

    static final String RANGE

See Also:
  Constant Field Values

#### REFERER

    static final String REFERER

See Also:
  Constant Field Values

#### RETRY_AFTER

    static final String RETRY_AFTER

See Also:
  Constant Field Values

#### SERVER

    static final String SERVER

See Also:
  Constant Field Values

#### SERVER_A

    static final byte[] SERVER_A

#### TRANSFER_ENCODING

    static final String TRANSFER_ENCODING

See Also:
  Constant Field Values

#### UPGRADE

    static final String UPGRADE

See Also:
  Constant Field Values

#### USER_AGENT

    static final String USER_AGENT

See Also:
  Constant Field Values

#### USER_AGENT_A

    static final byte[] USER_AGENT_A

#### VARY

    static final String VARY

See Also:
  Constant Field Values

#### VIA

    static final String VIA

See Also:
  Constant Field Values

#### WWW_AUTHENTICATE

    static final String WWW_AUTHENTICATE

See Also:
  Constant Field Values

#### HTTP_VERSION_1_0

    static final String HTTP_VERSION_1_0

See Also:
  Constant Field Values

#### HTTP_VERSION_1_0_A

    static final byte[] HTTP_VERSION_1_0_A

#### HTTP_VERSION_1_1

    static final String HTTP_VERSION_1_1

See Also:
  Constant Field Values

#### HTTP_VERSION_1_1_A

    static final byte[] HTTP_VERSION_1_1_A

#### CONTENT_DISPOSITION

    static final String CONTENT_DISPOSITION

See Also:
  Constant Field Values

#### COOKIE

    static final String COOKIE

See Also:
  Constant Field Values

#### SET_COOKIE

    static final String SET_COOKIE

See Also:
  Constant Field Values

#### CONTENT_LENGTH_A

    static final byte[] CONTENT_LENGTH_A

#### TRANSFER_ENCODING_A

    static final byte[] TRANSFER_ENCODING_A

#### CHUNKED_A

    static final byte[] CHUNKED_A

#### HOST_A

    static final byte[] HOST_A

#### PROXY_CONNECTION_A

    static final byte[] PROXY_CONNECTION_A

#### CONTENT_TYPE_A

    static final byte[] CONTENT_TYPE_A

#### CONNECTION_A

    static final byte[] CONNECTION_A

#### CACHE_CONTROL_A

    static final byte[] CACHE_CONTROL_A

#### EXPIRES_A

    static final byte[] EXPIRES_A

#### PRAGMA_A

    static final byte[] PRAGMA_A

#### REFERER_A

    static final byte[] REFERER_A

#### IF_MODIFIED_SINCE_A

    static final byte[] IF_MODIFIED_SINCE_A

#### ACCEPT_ENCODING_A

    static final byte[] ACCEPT_ENCODING_A

### Method Detail

#### setRemoved

    void setRemoved(boolean removed)

Marks whether this header entry is removed or not. The removed header entry will not be written by `writeLine(OutputStream)`.

Parameters:
  `removed` - true when to mark removed, false if not.

#### isRemoved

    boolean isRemoved()

Returns true if this header entry is marked as removed. The removed header entry will not be written by `writeLine(OutputStream)`.

Returns:
  true if this header entry is marked as removed

#### isFieldNameEqualsTo

    boolean isFieldNameEqualsTo(byte[] name)

Compares field name.

Parameters:
  `name` -
Returns:
  true if the filed name equals to the specified name

#### isFieldValueEqualsTo

    boolean isFieldValueEqualsTo(byte[] value)

Compares field value.

Parameters:
  `value` -
Returns:
  true if the field value equals to the specified value

#### getName

    byte[] getName()

Get name of this header.

Returns:
  name of this header as an array of bytes

#### getValue

    byte[] getValue()

Get value of this header.

Returns:
  value of this header as an array of bytes

#### setValue

    void setValue(byte[] value)

Set value of this header.

Parameters:
  `value` -

#### compareValue

    boolean compareValue(byte[] value)

Compares value of this header.

Parameters:
  `value` -
Returns:
  true if the value of this header equals to the specified value

#### compareValueIgnoreCase

    boolean compareValueIgnoreCase(byte[] value)

Compares value of this header ignoring case.

Parameters:
  `value` -
Returns:
  true if the value of this header equals to the specified value (case ignored)

#### writeLine

    void writeLine(OutputStream out)
                   throws IOException

Writes an HTTP header line for this entry. Nothing will be written if the removed flag is set to true.

Parameters:
  `out` -
Throws:
  `IOException`